package com.meas.system.domain;

import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 数据结果对象 meas_data_results
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasDataResults extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 测量批次id
     */
    @Excel(name = "测量批次id")
    private String measurementBatchId;

    /**
     * 光谱辐射强度3~5μm
     */
    @Excel(name = "光谱辐射强度3~5μm")
    private String specIrr1;

    /**
     * 光谱辐射强度8~14μm
     */
    @Excel(name = "光谱辐射强度8~14μm")
    private String specIrr2;

    /**
     * 波段辐射强度3~5μm
     */
    @Excel(name = "波段辐射强度3~5μm")
    private BigDecimal specBandIrr1;

    /**
     * 波段辐射强度8~14μm
     */
    @Excel(name = "波段辐射强度8~14μm")
    private BigDecimal specBandIrr2;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMeasurementBatchId() {
        return measurementBatchId;
    }

    public void setMeasurementBatchId(String measurementBatchId) {
        this.measurementBatchId = measurementBatchId;
    }

    public String getSpecIrr1() {
        return specIrr1;
    }

    public void setSpecIrr1(String specIrr1) {
        this.specIrr1 = specIrr1;
    }

    public String getSpecIrr2() {
        return specIrr2;
    }

    public void setSpecIrr2(String specIrr2) {
        this.specIrr2 = specIrr2;
    }

    public BigDecimal getSpecBandIrr1() {
        return specBandIrr1;
    }

    public void setSpecBandIrr1(BigDecimal specBandIrr1) {
        this.specBandIrr1 = specBandIrr1;
    }

    public BigDecimal getSpecBandIrr2() {
        return specBandIrr2;
    }

    public void setSpecBandIrr2(BigDecimal specBandIrr2) {
        this.specBandIrr2 = specBandIrr2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("measurementBatchId", getMeasurementBatchId())
                .append("specIrr1", getSpecIrr1())
                .append("specIrr2", getSpecIrr2())
                .append("specBandIrr1", getSpecBandIrr1())
                .append("specBandIrr2", getSpecBandIrr2())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
